function J = costFun(x)

global gp iaeWeights manWeights iaeTuning
% x

% controller
% C = controller(x(1),x(2));
C = controllerSP(x(1),x(2));

% Feedback loops

% gey = feedback(C*gp,1);

%Sensitivity function
gey = feedback(1,C*gp);
ged = feedback(gp*-1,C,1);

% Output response to input and output disturbance
sys = [gey;ged];
[e,t]=step(sys,100);

iaeTuning = iae(t,e);

J = manWeights*(iaeTuning./iaeWeights);
return
