% function for generating the controller transferfunction
% on the form gc = K + I/s

function [Csp] = controllerSP(K,I)

global gp gn;
s = tf('s');

if nargin == 3
    gc = K + I/s + D*s;    % PID Controller K*(1 + 1/(I*s) + D*s);
elseif nargin == 2
    gc = K + I/s;         % PI controller
    Csp = gc/(1+gc*(gn-gp));
else
    gc = K + I/s + (D*s)/(0.01*taud*s+1);     % PID controller
end

    % K = (Kc*(tauI + tauD))/(tauI)
    % I = Kc/tauI
    % D = Kc/tauD

return


