function gp = model(caseNumber)

s=tf('s');
tau1 = 1;

switch caseNumber
    case 1  
        tau2 = tau1;
        theta = 1;        
        
    case 2  
        tau2 = 0.8*tau1;
        theta = 1;  
        
    case 3  
        tau2 = 0.3*tau1;
        theta = 1;          
         
    case 4  
        tau2 = 0.5*tau1;
        theta = tau2/1.5;
        
    case 5  
        tau2 = 0.8*tau1;
        theta = tau2/1.5;
        
    case 6 
        tau2 = 0.3*tau1;
        theta = tau2/1.5;
        
    case 7
        tau2 = 0.5*tau1;
        theta = tau2/2;
        
    case 8
        tau2 = 0.8*tau1;
        theta = tau2/2;
        
    case 9 
        tau2 = 0.3*tau1;
        theta = tau2/2;
        
    case 10
        tau2 = 0.5*tau1;
        theta = tau2/10;
    
    case 11
        tau2 = 0.5*tau1;
        theta = tau2/5;
        
    case 12
        tau2 = 0.8*tau1;
        theta = tau2/5;
        
    case 13
        tau2 = 0.3*tau1;
        theta = tau2/5;
        
    case 14     %% Case 14 - 17 is the same cases as Chriss did in his project
        tau1 = 0;
        tau2 = 0;
        theta = 1;
        
    case 15
        tau2 = 0;
        theta = 1;
        
    case 16
        tau1 = 8;
        tau2 = 0;
        theta = 1;
        
    case 17
        theta = 1;
        gp = 1/s;
        gp.outputd = theta;
        return
end

gp = 1/((tau1*s+1)*(tau2*s+1));
gp.outputd = theta;

