function res = tuningParm(x)
% Function that computes controller gain (Kc), integral time (tauI) and
% derivative time (tauD) from K I and D (given by the optimalization)

global q tuning

if q == 1
    tune = tuning(1,:);
else
    tune = tuning(2,:);
end

res(1) = (x(1)/x(2))*(x(2)+x(3)) - tune(1);
res(2) = x(1)/x(2) - tune(2);
res(3) = x(1)*x(3) - tune(3);

res = res';
end